Page MenuHomePhabricator

Rewrite HtmlPageLinkRendererBeginHookHandler::doHtmlPageLinkRendererBegin to primarily use EntityIds
Closed, ResolvedPublic

Description

From the task breakdown on 11 May T249836#6124657

In T252407 we introduce a new service that can go from a Title to EntityId.
We should use that right at the start of the hook and then use the EntityId object for the rest of the hooks logic.

This will include using some of the other services introduced by federated properties for various title related actions.
This will also include the need to alter DefaultEntityLinkFormatter to not use Title, instead use and EntityId and EntityTitleTextLookup

Event Timeline

Addshore created this task.May 11 2020, 1:35 PM

Change 598574 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/Wikibase@master] [WIP]Rewrite HtmlPageLinkRendererBeginHookHandler::doHtmlPageLinkRendererBegin to primarily use EntityIds

https://gerrit.wikimedia.org/r/598574

Change 601794 had a related patch set uploaded (by Rosalie Perside (WMDE); owner: Rosalie Perside (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] [WIP]FP: Rewrite HtmlPageLinkRendererBeginHookHandler::doHtmlPageLinkRendererBegin to primarily use EntityIds

https://gerrit.wikimedia.org/r/601794

Change 602380 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] EntityLinkFormatterFactory can be used as factory for default formatter

https://gerrit.wikimedia.org/r/602380

Change 602383 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseCirrusSearch@master] CirrusShowSearchHitHandler: Use EntityLinkFormatterFactory

https://gerrit.wikimedia.org/r/602383

Change 602380 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] EntityLinkFormatterFactory can be used as factory for default formatter

https://gerrit.wikimedia.org/r/602380

Change 602383 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] CirrusShowSearchHitHandler: Use EntityLinkFormatterFactory

https://gerrit.wikimedia.org/r/602383

Rosalie_WMDE removed Rosalie_WMDE as the assignee of this task.Jun 5 2020, 7:29 AM
Rosalie_WMDE added a subscriber: Rosalie_WMDE.

Change 602721 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] DefaultEntityLinkFormatter: allow only EntityId

https://gerrit.wikimedia.org/r/602721

Change 602735 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Lexeme/FormLinkFormatter::getTitleAttribute: use EntityId

https://gerrit.wikimedia.org/r/602735

Change 601794 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Adjust lexeme related EntityLinkFormatter implementations

https://gerrit.wikimedia.org/r/601794

Change 598574 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] HtmlPageLinkRendererBeginHookHandler: move to HtmlPageLinkRendererEnd

https://gerrit.wikimedia.org/r/598574

Change 602757 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseLexeme@master] Fix phan after changes in Wikibase

https://gerrit.wikimedia.org/r/602757

Change 602757 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Fix phan after changes in Wikibase

https://gerrit.wikimedia.org/r/602757

Change 602721 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] EntityLinkFormatter::getTitleAttribute: allow only EntityId

https://gerrit.wikimedia.org/r/602721

Change 602735 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Lexeme/FormLinkFormatter::getTitleAttribute: use EntityId

https://gerrit.wikimedia.org/r/602735

Samantha_Alipio_WMDE closed this task as Resolved.Jun 9 2020, 8:52 AM